:root {
    color-scheme: light dark; /* Aviso para as barras de rolagem nativas do navegador fluírem sozinhas */
    --background: #ffffff;
    --foreground: #010101;
    --primary: #2033FF;
}

/* O Rastreador do Sistema Operacional (Mac/iOS/Windows) */
@media (prefers-color-scheme: dark) {
    :root {
        --background: #10100f;
        --foreground: #ffffff;
        /* primary continua intacta ou podemos mudar se você quiser */
    }
}

/* O Segredo da Reatividade Raster: o * recalcula o color-mix pra toda e qualquer caixa baseada no foreground local */
* {
    --border: color-mix(in srgb, var(--foreground) 25%, transparent);
    --muted-fg: color-mix(in srgb, var(--foreground) 75%, transparent);
}

.theme-progressive {
    --background: #2033FF;
    --foreground: #f5f5f5;
    --primary: #f5f5f5;
}

.theme-dark-techno {
    --background: #010101;
    --foreground: #2033FF;
    --primary: #2033FF;
}

.theme-minimal {
    --background: #ffffff;
    --foreground: #10100f;
    --primary: #10100f;
}